Project:PostgreSQL/EOL

From Gentoo Wiki
Jump to: navigation, search

First, mask the related use flag of the slot Before the change to single number major version, there was a 2 number major version. Replace the period with an underscore:

FILE profiles/use.mask
# Dev E. Loper <developer@gentoo.org> (YYYY-MM-DD)
# PostgreSQL SLOT masked for removal
postgres_targets_postgresSL_OT

Mask the slot in package.mask:

FILE profiles/package.mask
# Dev E. Loper <developer@gentoo.org> (YYYY-MM-DD)
# PostgreSQL SLOT has reached end of life and will no longer receive any
# updates -- security or otherwise -- from upstream or Gentoo.
#
# You should migrate immediately.
#     https://wiki.gentoo.org/wiki/PostgreSQL/QuickStart#Post-9.0_Migration
#
# For more information about PostgreSQL's versioning policy, see:
#     https://www.postgresql.org/support/versioning/
#
# Removal after YYYY-MM-DD+30D.
dev-db/postgresql:SLOT